Bulk

POST Create a Job

POST /services/data/v51.0/jobs/ingest

Operation ID: Create a Job. Tags: Bulk. Security: bearerAuth.

Create a new job for data upload. Define the general data on the job, such as record type, field used as ID and operation type.

Request body

Media type: application/json. Schema: object.

Example

{
  "object": "Atonit_Mktplace__Inventory_Record__c",
  "externalIdFieldName": "Atonit_Mktplace__External_Id__c",
  "contentType": "CSV",
  "operation": "upsert",
  "lineEnding": "CRLF"
}

Responses

  • 200 OK

    Headers:

    • Date (string)
      Example: Wed, 26 May 2021 13:35:28 GMT.
    • Strict-Transport-Security (string)
      Example: max-age=31536002; includeSubDomains.
    • X-Content-Type-Options (string)
      Example: nosniff.
    • X-XSS-Protection (string)
      Example: 1; mode=block.
    • X-Robots-Tag (string)
      Example: none.
    • Cache-Control (string)
      Example: no-cache,must-revalidate,max-age=0,no-store,private.
    • Sforce-Limit-Info (string)
      Example: api-usage=1581/101002.
    • Content-Type (string)
      Example: application/json;charset=UTF-8.
    • Vary (string)
      Example: Accept-Encoding.
    • Content-Encoding (string)
      Example: gzip.
    • Transfer-Encoding (string)
      Example: chunked.

    Media type: application/json. Schema: object.

    Example

    {
      "id": "7505Y00000QJI8TQAX",
      "operation": "upsert",
      "object": "Atonit_Mktplace__Inventory_Record__c",
      "createdById": "0055Y00000GrvNkQAJ",
      "createdDate": "2021-05-26T13:35:28.000+0000",
      "systemModstamp": "2021-05-26T13:35:28.000+0000",
      "state": "Open",
      "externalIdFieldName": "Atonit_Mktplace__External_Id__c",
      "concurrencyMode": "Parallel",
      "contentType": "CSV",
      "apiVersion": 51,
      "contentUrl": "services/data/v51.0/jobs/ingest/7505Y00000QJI8TQAX/batches",
      "lineEnding": "CRLF",
      "columnDelimiter": "COMMA"
    }